OpenCV: cv::TermCriteria Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Types | Public Member Functions | Public Attributes | List of all members
cv::TermCriteria Class Reference
Core functionality » Basic structures

The class defining termination criteria for iterative algorithms. More...

`#include "types.hpp"`

## Public Types
enum | Type { COUNT =1, MAX_ITER =COUNT, EPS =2 }

## Public Member Functions
| TermCriteria ()
| default constructor More...
| TermCriteria (int type, int maxCount, double epsilon)

## Public Attributes
double | epsilon
| the desired accuracy More...
int | maxCount
| the maximum number of iterations/elements More...
int | type
| the type of termination criteria: COUNT, EPS or COUNT + EPS More...

## Detailed Description

The class defining termination criteria for iterative algorithms.

You can initialize it by default constructor and then override any parameters, or the structure may be fully initialized using the advanced variant of the constructor.

Examples:
  camshiftdemo.cpp, image_alignment.cpp, kmeans.cpp, lkdemo.cpp, and train_HOG.cpp.

## Member Enumeration Documentation

## ◆ Type

enum cv::TermCriteria::Type

Criteria type, can be one of: COUNT, EPS or COUNT + EPS

Enumerator
COUNT | the maximum number of iterations or elements to compute
MAX_ITER | ditto
EPS | the desired accuracy or change in parameters at which the iterative algorithm stops

## Constructor & Destructor Documentation

## ◆ TermCriteria() [1/2]

cv::TermCriteria::TermCriteria | ( |  | ) |

default constructor

## ◆ TermCriteria() [2/2]

cv::TermCriteria::TermCriteria | ( | int | type,
|  | int | maxCount,
|  | double | epsilon
| ) |  |

Parameters

  type | The type of termination criteria, one of TermCriteria::Type
  maxCount | The maximum number of iterations or elements to compute.
  epsilon | The desired accuracy or change in parameters at which the iterative algorithm stops.

## Member Data Documentation

## ◆ epsilon

double cv::TermCriteria::epsilon

the desired accuracy

## ◆ maxCount

int cv::TermCriteria::maxCount

the maximum number of iterations/elements

## ◆ type

int cv::TermCriteria::type

the type of termination criteria: COUNT, EPS or COUNT + EPS

The documentation for this class was generated from the following file:

- core/include/opencv2/core/types.hpp